Subject: Re: [patch 10/12] forcedeth: add pci_enable_device() to nv_resume()

From: Jeff Garzik <[email-masked]>
Date: Sat, 13 Sep 2008 20:08:31 -0400

[email-masked] wrote:
> From: Simon Arlott <[email-masked]>
> 
> My NIC stops working after resuming from standby, it's not receiving any
> interrupts.
> 
> Commit 25d90810ff49d2a63475776f24c74c6bb49b045f ([netdrvr] forcedeth:
> reorder suspend/resume code) introduces pci_disable_device to nv_suspend,
> but there's no corresponding pci_enable_device in nv_resume - so I added
> one (copied from e1000).  This results in interrupts being re-enabled
> after suspend.
> 
> However, the NIC (10de:0373) still doesn't work after resume.

So... the NIC doesn't work after resume, even after your patch is applied?